Installing Cura 3D Printer Slicer from Fedora Repository

Hey guys. This is my first post here, and I’ve searched for clues about my issue here and didn’t found anything similar. I’ve built a 3D printer, and was using Ultimaker Cura as a slicer, downloaded from their site, until I’ve noticed that the package was available thru DNF. Using it from the repository is better.

What happens here is that I’ve used Cura 4.6.1 from my Windows laptop to send my file to Octoprint, and noticed that it was using a new file extension, adding a thumbnail to the file. Using the same version on the Cura that I’ve got from the Fedora repository, it was not working.

I’ve downloaded the software from Ultimaker site, the same version, and worked.

It appears that a LIB dependency is missing. https://github.com/Ultimaker/libCharon/

Is there a way to get this corrected at the repository?

Hi @johnniewalker,
welcome to the Community!

You best file a bug against Cura, so the package maintainer can have a look at it.

1 Like

And on the newest version from the repo (4.7.1)?, see 1 and 2

EDIT: Or you are on F31 and there it’s still 4.6.1… you can upgrade to F32, which need to do soon anyway or just install the F32 rpm package using dnf

1 Like

Thanks for your answer. I’m already using Fedora 32. Unfortunately I’ve realized I mistyped cura version. It’s alreadt 4.7.1, but I could’t edit once it was published. Maybe because I’m a new user and has no permission to edit topics yet.